Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity counter_scan is
Port 	(	dclk		:	in	bit;
			ds0			:	in	integer range 0 to 255;
			ds1			:	in	integer range 0 to 255;
			ds2			:	in	integer range 0 to 255;
			ds3			:	in	integer range 0 to 255;
			ds4			:	in	integer range 0 to 255;
			ds5			:	in	integer range 0 to 255;
			dsv			:	out integer range 0 to 255
		);
End ;

Architecture counter_scan_a of counter_scan is
begin
Process (dclk)
variable	cnt	:	integer range 0 to 5 := 0;
Begin
if dclk'event and dclk = '1' then

	cnt := cnt + 1;
	if cnt>5 then 
		cnt:=0; 
	end if;

	case cnt is
		when 0 =>	dsv <= ds0;
		when 1 =>	dsv <= ds1;
		when 2 =>	dsv <= ds2;
		when 3 =>	dsv <= ds3;
		when 4 =>	dsv <= ds4;
		when 5 =>	dsv <= ds5;
		
	end case;
	

end if;
end process;

end ;

