-- Quartus II VHDL Template
library ieee;
use ieee.std_logic_1164.all;

entity decode_cmd is
	port 
	(
		data_in	: in	integer range 0 to 15;
		data_out0 : out integer range 0 to 255;
		data_out1 : out integer range 0 to 255;
		data_out2 : out integer range 0 to 255;
		data_out3 : out integer range 0 to 255;
		data_out4 : out integer range 0 to 255;
		data_out5 : out integer range 0 to 255
	);
end entity;

architecture rtl of decode_cmd is
begin

	process (data_in)
	begin
		case data_in is
			when 0 =>	-- On			
				data_out5 <= 192;
				data_out4 <= 171;
				data_out3 <= 255;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
			when 1 =>	-- Off
				data_out5 <= 192;
				data_out4 <= 142;
				data_out3 <= 142;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;

			when 4 =>	-- TR
				data_out5 <= 135;
				data_out4 <= 175;
				data_out3 <= 255;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
			
			when 5 =>	-- TL
				data_out5 <= 135;
				data_out4 <= 199;
				data_out3 <= 255;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
				
			when 8 =>	-- SP1
				data_out5 <= 146;
				data_out4 <= 140;
				data_out3 <= 249;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
			
			when 9 =>	-- SP2
				data_out5 <= 146;
				data_out4 <= 140;
				data_out3 <= 164;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
				
			when 12 =>	-- P1
				data_out5 <= 142;
				data_out4 <= 249;
				data_out3 <= 255;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
				
			when 13 =>	-- P2
				data_out5 <= 142;
				data_out4 <= 164;
				data_out3 <= 255;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
			
			when 14 =>	--HP
				data_out5 <= 137;
				data_out4 <= 140;
				data_out3 <= 255;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
				
			when others =>			
				data_out5 <= 255;
				data_out4 <= 255;
				data_out3 <= 255;
				data_out2 <= 255;
				data_out1 <= 255;
				data_out0 <= 255;
		
		end case;



	end process;

end rtl;
