Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity div5_clk is
Port 	(	clk		:	in	bit;
			t_sec	:	out	bit
		);
End ;

Architecture div5_clk_a of div5_clk is
Begin

Process (clk)
Variable cnt	:	integer range 0 to 5 := 0;
Variable t		:	bit;
Begin
if clk'event and clk = '1' then
	if cnt = 4 then
		cnt := 0;
		t := not(t);
	end if;
	cnt := cnt + 1;
	t_sec<=t;
end if;
End process;
End ;
