Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity drive_7segment is
Port 	(	dclk		:	in	bit;
			dso			:	in	std_logic_vector(7 downto 0);
			ds_out		:	out std_logic_vector(7 downto 0);
			col_scan	:	out std_logic_vector(5 downto 0)
		);
End ;

Architecture drive_7segment_a of drive_7segment is
begin
Process (dclk)
variable	cnt	:	integer range 0 to 5 := 0;
Begin
if dclk'event and dclk = '1' then

	

	case cnt is		--Scan for  4 digits (Commond Anode)
		when 0 =>	
			ds_out <= dso;			
			col_scan <= "111110";--Enable last digit
			--cnt := cnt + 1;--Shift scan
			
		when 1 =>
			ds_out <= dso;		
			col_scan <= "111101"; 
			--cnt := cnt + 1;
			
		when 2 => 
			ds_out <= dso;
			col_scan <= "111011";
			--cnt:=cnt+1;
			
		when 3 => 
			ds_out <= dso;
			col_scan <= "110111";
			--cnt:=cnt+1;
			
		when 4 => 
			ds_out <= dso;
			col_scan <= "101111";
			--cnt:=cnt+1;
			
		when 5 => 
			ds_out <= dso;
			col_scan <= "011111";			
	end case;
	
	cnt:=cnt+1;
	if cnt>5 then cnt:=0;
	end if;
	
	

end if;
end process;

end ;

