Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity bus_sel is
Port 	(	
			mode : in integer range 0 to 7;
			step1	:	in	integer range 0 to 15;
			step2	:	in	integer range 0 to 15;
			step3	:	in	integer range 0 to 15;
			phase_out:	out	integer range 0 to 15;
			phase_mon	:	out	integer range 0 to 15

		);
End bus_sel;

Architecture bus_sel_a of bus_sel is
begin
Process (mode)
Begin
--if p1 = '1' and p2 = '0' and p3 = '0' then
--	cstepo <= cstep1;
--elsif p1 = '0' and p2 = '1' and p3 = '0' then
--	cstepo <= cstep2;
--elsif p1 = '0' and p2 = '0' and p3 = '1' then
--	cstepo <= cstep3;
--end if;

--cstepo <= cstep1;

		case mode is
			when 1 =>	-- On
				phase_out<= step1;
				phase_mon	<= step1;
			when 2 =>	-- On
				phase_out<= step2;
				phase_mon	<= step2;
			when 4 =>	-- On
				phase_out<= step3;
				phase_mon	<= step3;
			when others =>
			end case;
								


end process;
end ;

