Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity clk_sel is
Port 	(	sp_sel	:	in	std_logic;
			clk		:	in	bit;
			clk_out	:	out	bit
		);
End clk_sel;

Architecture rtl of clk_sel is
signal sig_clk : bit;
begin
Process (sp_sel,clk)
Begin

if sp_sel = '1' then
	clk_out <= clk;
else 
	clk_out <= sig_clk;
end if;

end process;


Process (clk)
Variable cnt	:	integer range 0 to 5 := 0;
Variable t		:	bit;
Begin
if clk'event and clk = '1' then
	if cnt = 4 then
		cnt := 0;
		t := not(t);
	end if;
	cnt := cnt + 1;
	sig_clk<=t;
end if;
End process;



end ;

